Page MenuHomeMiraheze

Recovering wikiconstitucio
Closed, ResolvedPublic

Description

Hi, I have been contacted by the founder of wikiconstitucio, a wiki created at Orain and imported to Miraheze. It is not active anymore, and I wonder whether there is a change to recover it.

The wiki project name was "wikiconstitucio" and it could be found at https://wikiconstitucio.miraheze.org/

See also https://meta.miraheze.org/wiki/Stewards%27_noticeboard/Archive_3#Please_reactivate_wikiconstitucio

Event Timeline

Icaria36 created this task.Aug 8 2018, 09:23

Hello @Icaria36,

The wiki you request does't not exist anymore, beacause it deleted per Dormancy Policy the 23 Febuary 2018 logged on this paste.

Do you want recreate the wiki ?

Icaria36 added a comment.Aug 8 2018, 11:22

Hello @Videojeux4. Yes, please recreate it if possible.

Paladox added a subscriber: Paladox.Aug 8 2018, 20:55

Hi, we would have to create this wiki as new as the data would have been deleted when the wiki was deleted. Please request it at https://meta.miraheze.org/wiki/Special:RequestWiki

Icaria36 added a comment.Aug 9 2018, 09:34

Ouch. Data deleted. OK.

I'll search in Internet Archive. After a quick search I found https://archive.org/details/wiki-wikiconstitucioorainorg_w but that is not the last version, and I'm not even sure those files contain the wiki content or just some metadata. I'll investigate.

Thank you for your support in any case. I understand well that you did your due diligence.

Icaria36 added a comment.Aug 9 2018, 11:16

One moment! I have checked the files at https://archive.org/download/wiki-wikiconstitucioorainorg_w and the 09-Aug-2015 dump would be very close to the latest version. The Wikiconstitució project is still interested in having a wiki. Do you think it would be possible to request a new wiki and import the dump?

Paladox added a comment.Aug 9 2018, 15:21

@Icaria36 yes please.

When I access that url it says network connection dropped.

I can access that url fine, but I can't unzip 7z files on my mac

Paladox added a comment.Aug 9 2018, 15:33

You doint need to unzip it on your Mac, you can do it on mw*.

Ok. @Icaria36 do you need the full page history?

revi added a comment.Aug 9 2018, 15:53

Full Page History is a requirement under the CCL license, "Attribution" clause.

In T3467#65824, @revi wrote:

Full Page History is a requirement under the CCL license, "Attribution" clause.

If that’s the case, we should remove the checkbox for “only import the latest revision” from the Special:Import page, assuming that transwiki importing works the same way as dump uploading.

revi added a comment.Aug 10 2018, 12:53
In T3467#65824, @revi wrote:

Full Page History is a requirement under the CCL license, "Attribution" clause.

If that’s the case, we should remove the checkbox for “only import the latest revision” from the Special:Import page, assuming that transwiki importing works the same way as dump uploading.

It can still be used if you are the ONLY copyright owner. (=Nobody else ever touched the pages) But if someone else ever touched the pages to be imported, all history has to be imported.

Icaria36 closed this task as Resolved.Aug 10 2018, 20:17
Icaria36 claimed this task.

I wasn't expecting all these side effects. Actually, the founder of the site has contacted me saying that after looking the texts in the dump there is a lot that ia not worth recycling as is anymore. He says that he will request a new site, and then copy manually the pages that are still useful.

Sorry for this big loop. And thank you, I have learned a thing or two. :)

This task can be closed now.